curl --request PATCH \
--url https://prod01.oms.fabric.inc/api/v2/order/{orderId}/shipto/{shipToId}/pickup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"name": {
"first": "John",
"middle": "Middle",
"last": "Doe"
},
"email": "john123@gmail.com",
"phone": {
"number": "55555555555",
"type": "MOBILE"
},
"pickupType": "Primary"
}
'import requests
url = "https://prod01.oms.fabric.inc/api/v2/order/{orderId}/shipto/{shipToId}/pickup"
payload = {
"name": {
"first": "John",
"middle": "Middle",
"last": "Doe"
},
"email": "john123@gmail.com",
"phone": {
"number": "55555555555",
"type": "MOBILE"
},
"pickupType": "Primary"
}
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: {first: 'John', middle: 'Middle', last: 'Doe'},
email: 'john123@gmail.com',
phone: {number: '55555555555', type: 'MOBILE'},
pickupType: 'Primary'
})
};
fetch('https://prod01.oms.fabric.inc/api/v2/order/{orderId}/shipto/{shipToId}/pickup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"shipToId": "5349b4ddd2781d08c09890f4",
"taxCode": "FR01",
"locationNum": "123",
"pickup": [
{
"name": {
"first": "John",
"middle": "Middle",
"last": "Doe"
},
"email": "john123@gmail.com",
"phone": {
"number": "55555555555",
"type": "MOBILE"
},
"pickupType": "Primary"
}
],
"shipToAddress": {
"address1": "First line of address",
"name": {
"first": "John",
"middle": "Middle",
"last": "Doe"
},
"email": "john123@gmail.com",
"phone": {
"number": "55555555555",
"type": "MOBILE"
},
"address2": "123 Parking Lot",
"address3": "Third line of address",
"address4": "Fourth line of address",
"city": "Beaumont",
"state": "TX",
"country": "USA",
"postalCode": "77705",
"type": "residence",
"latitude": 35.294952,
"longitude": 32.294952
},
"taxDetail": [
{
"type": "tax",
"value": 34.56
}
],
"shipMethod": "Express Delivery",
"shipToType": "SHIP_TO_ADDRESS",
"estimatedShipDate": "2022-05-12T09:30:31.198Z",
"estimatedDeliveryDate": "2022-05-12T09:30:31.198Z",
"shipToPrice": 20,
"shipToDiscount": 12.6,
"shipToTaxTotal": 12.6,
"shipmentInstructions": "User instructions",
"attributes": {
"isOpenBox": false,
"isOTPDElivery": true
}
}{
"message": "Bad request"
}{
"message": "Order not found"
}{
"message": "Internal server error"
}Update pickup information of an order
Updates pickup information of a specific order by order ID.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Path Parameters
"b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569"
"5349b4ddd2781d08c09890f4"
Body
Response
Pickup information updated
Order shipping info
Unique ID to link item with its shipping address. If all items of an order are shipped to single address, then all items will have same shipTo id. If multiple items of an order are shipped to multiple shipping address, then corresponding shipTo id is linked to each item.
"5349b4ddd2781d08c09890f4"
Code for the tax applied for shiping of items to the adress
"FR01"
Location number to be used for BOPIS (Buy Online Purchase In Store) to identify the pickup store
"123"
Show child attributes
Show child attributes
Order billing or shipping address
Show child attributes
Show child attributes
Show child attributes
Show child attributes
"Express Delivery"
"SHIP_TO_ADDRESS"
"2022-05-12T09:30:31.198Z"
"2022-05-12T09:30:31.198Z"
Amount applicable for shipping the item to the address
20
Discount amount applied for shipping the item to the address
12.6
Total tax applicable to ship the item to the address
12.6
Additional user instructions
"User instructions"
Show child attributes
Show child attributes
{ "isOpenBox": false, "isOTPDElivery": true }
Was this page helpful?
